Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# ISubStream Class Reference

An istream object that presents a subwindow into another istream. More...

Inheritance diagram for ISubStream:

List of all members.

## Public Member Functions
| ISubStream ()
| ISubStream (IStreamWrapper source, unsigned long int start, unsigned long int end)
ISubStream | close ()
| Resets the SubStream to empty, but does not actually close the source istream.
ISubStream | open (IStreamWrapper source, unsigned long int start, unsigned long int end)
| Starts the SubStream reading from the indicated source, with the first character being the character at position "start" within the source, for end - start total characters.

## Detailed Description

An istream object that presents a subwindow into another istream.

The first character read from this stream will be the "start" character from the source istream; just before the file pointer reaches the "end" character, eof is returned.

The source stream must be one that we can randomly seek within. The resulting ISubStream will also support arbitrary seeks.

## Constructor & Destructor Documentation

ISubStream | ( |  | ) |

ISubStream | ( | IStreamWrapper | source,
|  | unsigned long int | start,
|  | unsigned long int | end
| ) |  |

## Member Function Documentation

ISubStream close | ( |  | ) |

Resets the SubStream to empty, but does not actually close the source istream.

ISubStream open | ( | IStreamWrapper | source,
|  | unsigned long int | start,
|  | unsigned long int | end
| ) |  |

Starts the SubStream reading from the indicated source, with the first character being the character at position "start" within the source, for end - start total characters.

The character at "end" within the source will never be read; this will appear to be EOF.

If end is zero, it indicates that the ISubStream will continue until the end of the source stream.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties